Display Method Пример |
Sub Example_DisplayMethod() ' Этот пример создает область просмотра пространства листа и делает её активным. Dim newPViewport As AcadPViewport Dim centerPoint(0 To 2) As Double Dim height As Double Dim width As Double height = 30# width = 40# centerPoint(0) = 30#: centerPoint(1) = 30#: centerPoint(2) = 0# ' Создайте в пространстве листа объект Viewport ThisDrawing.ActiveSpace = acPaperSpace Set newPViewport = ThisDrawing.PaperSpace.AddPViewport(centerPoint, width, height) ZoomAll newPViewport.DISPLAY True ' Перед созданием активного pViewport, ' свойство mspace должно быть True ThisDrawing.mspace = True ThisDrawing.ActivePViewport = newPViewport End Sub